<?php
/**
 * @Packge     : Pizzan
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://www.themeholy.com/
 *
 */

    // Block direct access
    if( !defined( 'ABSPATH' ) ){
        exit();
    }

    //title//
    if (pizzan_opt( 'pizzan_fof_title' )){
        $pizzan404title        = pizzan_opt( 'pizzan_fof_title' );  
    }else{
        $pizzan404title        = __( 'Page Not Found', 'pizzan' );
    }

    //description//
    if (pizzan_opt( 'pizzan_fof_description' )){
        $pizzan404description  = pizzan_opt( 'pizzan_fof_description' );  
    }else{
        $pizzan404description  = __( 'Were sorry The page you are looking for on longer exists.', 'pizzan' );
    }

    //404 bg image//
    if (pizzan_opt( 'pizzan_404_bg','url' )){
        $pizzan404bg           = pizzan_opt( 'pizzan_404_bg','url' );
    }else{
        $pizzan404bg           = ''.PIZZAN_DIR_ASSIST_URI.'img/error_bg.png';
    }

    //404  image//
    if (pizzan_opt( 'pizzan_404_img','url' )){
        $pizzan404img          = pizzan_opt( 'pizzan_404_img','url' );
    }else{
        $pizzan404img          = ''.PIZZAN_DIR_ASSIST_URI.'img/error_img.png';
    }

    //button text//
    if (pizzan_opt( 'pizzan_fof_btn_text' )){
        $pizzan404btntext      = pizzan_opt( 'pizzan_fof_btn_text' );  
    }else{
        $pizzan404btntext      = __( ' Back To Home', 'pizzan' );
    }



    
    // get header
    get_header();

    echo '<div class="bg-auto space" data-bg-src="'.esc_url($pizzan404bg).'">';
        echo '<div class="container">';
            echo '<div class="error-img">';
                echo pizzan_img_tag( array(
                    'url'   => esc_url($pizzan404img),
                ) ); 
            echo '</div>';
            echo '<div class="error-content">';
                echo '<h2 class="error-title">'.esc_html( $pizzan404title ).'</h2>';
                echo '<p class="error-text">'.esc_html( $pizzan404description ).'</p>';
                echo '<a href="'.esc_url( home_url('/') ).'" class="th-btn rounded-2"><i class="far fa-home me-2"></i>'.esc_html( $pizzan404btntext ).'</a>';
            echo '</div>';
        echo '</div>';
    echo '</div>';

    //footer
    get_footer();