<?php
/**
 * @Packge     : Pizzan
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://www.themeholy.com/
 *
 */

// Block direct access
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 * Include File
 *
 */

// Constants
require_once get_parent_theme_file_path() . '/inc/pizzan-constants.php';

//theme setup
require_once PIZZAN_DIR_PATH_INC . 'theme-setup.php';

//essential scripts
require_once PIZZAN_DIR_PATH_INC . 'essential-scripts.php';

// Woo Hooks
require_once PIZZAN_DIR_PATH_INC . 'woo-hooks/pizzan-woo-hooks.php';

// Woo Hooks Functions
require_once PIZZAN_DIR_PATH_INC . 'woo-hooks/pizzan-woo-hooks-functions.php';

// plugin activation
require_once PIZZAN_DIR_PATH_FRAM . 'plugins-activation/pizzan-active-plugins.php';

// theme dynamic css
require_once PIZZAN_DIR_PATH_INC . 'pizzan-commoncss.php';

// meta options
require_once PIZZAN_DIR_PATH_FRAM . 'pizzan-meta/pizzan-config.php';

// page breadcrumbs
require_once PIZZAN_DIR_PATH_INC . 'pizzan-breadcrumbs.php';

// sidebar register
require_once PIZZAN_DIR_PATH_INC . 'pizzan-widgets-reg.php';

//essential functions
require_once PIZZAN_DIR_PATH_INC . 'pizzan-functions.php';

// helper function
require_once PIZZAN_DIR_PATH_INC . 'wp-html-helper.php';

// Demo Data
require_once PIZZAN_DEMO_DIR_PATH . 'demo-import.php';

// pagination
require_once PIZZAN_DIR_PATH_INC . 'wp_bootstrap_pagination.php';

// pizzan options
require_once PIZZAN_DIR_PATH_FRAM . 'pizzan-options/pizzan-options.php';

// hooks
require_once PIZZAN_DIR_PATH_HOOKS . 'hooks.php';

// hooks funtion
require_once PIZZAN_DIR_PATH_HOOKS . 'hooks-functions.php';


function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1717520845737';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        